package com.wd.workoffice.bean.mesBean;

import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class FeedbackBean extends BaseMesPageBean {
    private List<ListBean> list;

    public List<ListBean> getList() {
        return list;
    }

    public void setList(List<ListBean> list) {
        this.list = list;
    }

    public static class ListBean {
        /**
         * id : 52021d95138d437ca52ebb076a457710
         * createDateTime : null
         * updateDateTime : null
         * feedbackCode : SCFK2005002
         * productId : null
         * productCode : null
         * productName : null
         * drawingNumber : null
         * version : null
         * specification : null
         * customerId : null
         * customerName : null
         * saleUserId : null
         * saleUserCode : null
         * saleUserName : 质检主任
         * phoneNumber : null
         * boxId : null
         * boxCode : BOX003
         * serialNumber : null
         * caster : 21212
         * casterName : null
         * defectId : null
         * defectCount : 1
         * defectCounts : null
         * defectCode : null
         * defectName : 11
         * mainCause : null
         * steelTypeId : null
         * steelTypeName : null
         * feedbackDescription : null
         * otherProviderBehavior : null
         * salerOpinion : null
         * attachmentId : null
         * factoryAnalysis : null
         * factoryLeaderOpinion : null
         * factoryImplement : null
         * procedureId : null
         * procedureCode : null
         * procedureName : null
         * defectMudId : null
         * defectMudCode : null
         * defectMudName : null
         * rapidResponse : null
         * customerResponse : null
         * relatedRecord : null
         * seriesName : null
         * seriesType : null
         * severity : null
         * treatRectPlan : null
         * status : 0
         * attachments : null
         * responsibleUserId : null
         * responsibleUserName : null
         * factoryTreatmentDateTime : null
         * verifyUserId : null
         * verifyUserName : null
         * verifyUserDate : null
         * recordUserId : null
         * recorUserName : null
         * recorUserDate : null
         * responsibleDealId : null
         * responsibleDealName : null
         * responsibleDealDate : null
         * responsibleCustId : null
         * responsibleCustName : null
         * responsibleCustDate : null
         * approvalUserId : null
         * approvalUserName : null
         * approvalUserDate : null
         * createUserId : 398c852b38e911ea8334fa163e1166bd
         * createUserName : hello
         * updateUserId : null
         * updateUserName : null
         * defectMudIds : null
         * attachment : null
         * delete : false
         */

        private String id;
        private String createDateTime;
        private String updateDateTime;
        private String feedbackCode;
        private String productId;
        private String productCode;
        private String productName;
        private String drawingNumber;
        private String version;
        private String specification;
        private String customerId;
        private String customerName;
        private String saleUserId;
        private String saleUserCode;
        private String saleUserName;
        private String phoneNumber;
        private String boxId;
        private String boxCode;
        private String serialNumber;
        private String caster;
        private String casterName;
        private String defectId;
        private int defectCount;
        private String defectCounts;
        private String defectCode;
        private String defectName;
        private String mainCause;
        private String steelTypeId;
        private String steelTypeName;
        private String feedbackDescription;
        private String otherProviderBehavior;
        private String salerOpinion;
        private String attachmentId;
        private String factoryAnalysis;
        private String factoryLeaderOpinion;
        private String factoryImplement;
        private String procedureId;
        private String procedureCode;
        private String procedureName;
        private String defectMudId;
        private String defectMudCode;
        private String defectMudName;
        private String rapidResponse;
        private String customerResponse;
        private String relatedRecord;
        private String seriesName;
        private String seriesType;
        private String severity;
        private String treatRectPlan;
        private String status;
        private String attachments;
        private String responsibleUserId;
        private String responsibleUserName;
        private String factoryTreatmentDateTime;
        private String verifyUserId;
        private String verifyUserName;
        private String verifyUserDate;
        private String recordUserId;
        private String recorUserName;
        private String recorUserDate;
        private String responsibleDealId;
        private String responsibleDealName;
        private String responsibleDealDate;
        private String responsibleCustId;
        private String responsibleCustName;
        private String responsibleCustDate;
        private String approvalUserId;
        private String approvalUserName;
        private String approvalUserDate;
        private String createUserId;
        private String createUserName;
        private String updateUserId;
        private String updateUserName;
        private String defectMudIds;
        private String attachment;
        private boolean delete;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getCreateDateTime() {
            return createDateTime;
        }

        public void setCreateDateTime(String createDateTime) {
            this.createDateTime = createDateTime;
        }

        public String getUpdateDateTime() {
            return updateDateTime;
        }

        public void setUpdateDateTime(String updateDateTime) {
            this.updateDateTime = updateDateTime;
        }

        public String getFeedbackCode() {
            return feedbackCode;
        }

        public void setFeedbackCode(String feedbackCode) {
            this.feedbackCode = feedbackCode;
        }

        public String getProductId() {
            return productId;
        }

        public void setProductId(String productId) {
            this.productId = productId;
        }

        public String getProductCode() {
            return productCode;
        }

        public void setProductCode(String productCode) {
            this.productCode = productCode;
        }

        public String getProductName() {
            return productName;
        }

        public void setProductName(String productName) {
            this.productName = productName;
        }

        public String getDrawingNumber() {
            return drawingNumber;
        }

        public void setDrawingNumber(String drawingNumber) {
            this.drawingNumber = drawingNumber;
        }

        public String getVersion() {
            return version;
        }

        public void setVersion(String version) {
            this.version = version;
        }

        public String getSpecification() {
            return specification;
        }

        public void setSpecification(String specification) {
            this.specification = specification;
        }

        public String getCustomerId() {
            return customerId;
        }

        public void setCustomerId(String customerId) {
            this.customerId = customerId;
        }

        public String getCustomerName() {
            return customerName;
        }

        public void setCustomerName(String customerName) {
            this.customerName = customerName;
        }

        public String getSaleUserId() {
            return saleUserId;
        }

        public void setSaleUserId(String saleUserId) {
            this.saleUserId = saleUserId;
        }

        public String getSaleUserCode() {
            return saleUserCode;
        }

        public void setSaleUserCode(String saleUserCode) {
            this.saleUserCode = saleUserCode;
        }

        public String getSaleUserName() {
            return saleUserName;
        }

        public void setSaleUserName(String saleUserName) {
            this.saleUserName = saleUserName;
        }

        public String getPhoneNumber() {
            return phoneNumber;
        }

        public void setPhoneNumber(String phoneNumber) {
            this.phoneNumber = phoneNumber;
        }

        public String getBoxId() {
            return boxId;
        }

        public void setBoxId(String boxId) {
            this.boxId = boxId;
        }

        public String getBoxCode() {
            return boxCode;
        }

        public void setBoxCode(String boxCode) {
            this.boxCode = boxCode;
        }

        public String getSerialNumber() {
            return serialNumber;
        }

        public void setSerialNumber(String serialNumber) {
            this.serialNumber = serialNumber;
        }

        public String getCaster() {
            return caster;
        }

        public void setCaster(String caster) {
            this.caster = caster;
        }

        public String getCasterName() {
            return casterName;
        }

        public void setCasterName(String casterName) {
            this.casterName = casterName;
        }

        public String getDefectId() {
            return defectId;
        }

        public void setDefectId(String defectId) {
            this.defectId = defectId;
        }

        public int getDefectCount() {
            return defectCount;
        }

        public void setDefectCount(int defectCount) {
            this.defectCount = defectCount;
        }

        public String getDefectCounts() {
            return defectCounts;
        }

        public void setDefectCounts(String defectCounts) {
            this.defectCounts = defectCounts;
        }

        public String getDefectCode() {
            return defectCode;
        }

        public void setDefectCode(String defectCode) {
            this.defectCode = defectCode;
        }

        public String getDefectName() {
            return defectName;
        }

        public void setDefectName(String defectName) {
            this.defectName = defectName;
        }

        public String getMainCause() {
            return mainCause;
        }

        public void setMainCause(String mainCause) {
            this.mainCause = mainCause;
        }

        public String getSteelTypeId() {
            return steelTypeId;
        }

        public void setSteelTypeId(String steelTypeId) {
            this.steelTypeId = steelTypeId;
        }

        public String getSteelTypeName() {
            return steelTypeName;
        }

        public void setSteelTypeName(String steelTypeName) {
            this.steelTypeName = steelTypeName;
        }

        public String getFeedbackDescription() {
            return feedbackDescription;
        }

        public void setFeedbackDescription(String feedbackDescription) {
            this.feedbackDescription = feedbackDescription;
        }

        public String getOtherProviderBehavior() {
            return otherProviderBehavior;
        }

        public void setOtherProviderBehavior(String otherProviderBehavior) {
            this.otherProviderBehavior = otherProviderBehavior;
        }

        public String getSalerOpinion() {
            return salerOpinion;
        }

        public void setSalerOpinion(String salerOpinion) {
            this.salerOpinion = salerOpinion;
        }

        public String getAttachmentId() {
            return attachmentId;
        }

        public void setAttachmentId(String attachmentId) {
            this.attachmentId = attachmentId;
        }

        public String getFactoryAnalysis() {
            return factoryAnalysis;
        }

        public void setFactoryAnalysis(String factoryAnalysis) {
            this.factoryAnalysis = factoryAnalysis;
        }

        public String getFactoryLeaderOpinion() {
            return factoryLeaderOpinion;
        }

        public void setFactoryLeaderOpinion(String factoryLeaderOpinion) {
            this.factoryLeaderOpinion = factoryLeaderOpinion;
        }

        public String getFactoryImplement() {
            return factoryImplement;
        }

        public void setFactoryImplement(String factoryImplement) {
            this.factoryImplement = factoryImplement;
        }

        public String getProcedureId() {
            return procedureId;
        }

        public void setProcedureId(String procedureId) {
            this.procedureId = procedureId;
        }

        public String getProcedureCode() {
            return procedureCode;
        }

        public void setProcedureCode(String procedureCode) {
            this.procedureCode = procedureCode;
        }

        public String getProcedureName() {
            return procedureName;
        }

        public void setProcedureName(String procedureName) {
            this.procedureName = procedureName;
        }

        public String getDefectMudId() {
            return defectMudId;
        }

        public void setDefectMudId(String defectMudId) {
            this.defectMudId = defectMudId;
        }

        public String getDefectMudCode() {
            return defectMudCode;
        }

        public void setDefectMudCode(String defectMudCode) {
            this.defectMudCode = defectMudCode;
        }

        public String getDefectMudName() {
            return defectMudName;
        }

        public void setDefectMudName(String defectMudName) {
            this.defectMudName = defectMudName;
        }

        public String getRapidResponse() {
            return rapidResponse;
        }

        public void setRapidResponse(String rapidResponse) {
            this.rapidResponse = rapidResponse;
        }

        public String getCustomerResponse() {
            return customerResponse;
        }

        public void setCustomerResponse(String customerResponse) {
            this.customerResponse = customerResponse;
        }

        public String getRelatedRecord() {
            return relatedRecord;
        }

        public void setRelatedRecord(String relatedRecord) {
            this.relatedRecord = relatedRecord;
        }

        public String getSeriesName() {
            return seriesName;
        }

        public void setSeriesName(String seriesName) {
            this.seriesName = seriesName;
        }

        public String getSeriesType() {
            return seriesType;
        }

        public void setSeriesType(String seriesType) {
            this.seriesType = seriesType;
        }

        public String getSeverity() {
            return severity;
        }

        public void setSeverity(String severity) {
            this.severity = severity;
        }

        public String getTreatRectPlan() {
            return treatRectPlan;
        }

        public void setTreatRectPlan(String treatRectPlan) {
            this.treatRectPlan = treatRectPlan;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getAttachments() {
            return attachments;
        }

        public void setAttachments(String attachments) {
            this.attachments = attachments;
        }

        public String getResponsibleUserId() {
            return responsibleUserId;
        }

        public void setResponsibleUserId(String responsibleUserId) {
            this.responsibleUserId = responsibleUserId;
        }

        public String getResponsibleUserName() {
            return responsibleUserName;
        }

        public void setResponsibleUserName(String responsibleUserName) {
            this.responsibleUserName = responsibleUserName;
        }

        public String getFactoryTreatmentDateTime() {
            return factoryTreatmentDateTime;
        }

        public void setFactoryTreatmentDateTime(String factoryTreatmentDateTime) {
            this.factoryTreatmentDateTime = factoryTreatmentDateTime;
        }

        public String getVerifyUserId() {
            return verifyUserId;
        }

        public void setVerifyUserId(String verifyUserId) {
            this.verifyUserId = verifyUserId;
        }

        public String getVerifyUserName() {
            return verifyUserName;
        }

        public void setVerifyUserName(String verifyUserName) {
            this.verifyUserName = verifyUserName;
        }

        public String getVerifyUserDate() {
            return verifyUserDate;
        }

        public void setVerifyUserDate(String verifyUserDate) {
            this.verifyUserDate = verifyUserDate;
        }

        public String getRecordUserId() {
            return recordUserId;
        }

        public void setRecordUserId(String recordUserId) {
            this.recordUserId = recordUserId;
        }

        public String getRecorUserName() {
            return recorUserName;
        }

        public void setRecorUserName(String recorUserName) {
            this.recorUserName = recorUserName;
        }

        public String getRecorUserDate() {
            return recorUserDate;
        }

        public void setRecorUserDate(String recorUserDate) {
            this.recorUserDate = recorUserDate;
        }

        public String getResponsibleDealId() {
            return responsibleDealId;
        }

        public void setResponsibleDealId(String responsibleDealId) {
            this.responsibleDealId = responsibleDealId;
        }

        public String getResponsibleDealName() {
            return responsibleDealName;
        }

        public void setResponsibleDealName(String responsibleDealName) {
            this.responsibleDealName = responsibleDealName;
        }

        public String getResponsibleDealDate() {
            return responsibleDealDate;
        }

        public void setResponsibleDealDate(String responsibleDealDate) {
            this.responsibleDealDate = responsibleDealDate;
        }

        public String getResponsibleCustId() {
            return responsibleCustId;
        }

        public void setResponsibleCustId(String responsibleCustId) {
            this.responsibleCustId = responsibleCustId;
        }

        public String getResponsibleCustName() {
            return responsibleCustName;
        }

        public void setResponsibleCustName(String responsibleCustName) {
            this.responsibleCustName = responsibleCustName;
        }

        public String getResponsibleCustDate() {
            return responsibleCustDate;
        }

        public void setResponsibleCustDate(String responsibleCustDate) {
            this.responsibleCustDate = responsibleCustDate;
        }

        public String getApprovalUserId() {
            return approvalUserId;
        }

        public void setApprovalUserId(String approvalUserId) {
            this.approvalUserId = approvalUserId;
        }

        public String getApprovalUserName() {
            return approvalUserName;
        }

        public void setApprovalUserName(String approvalUserName) {
            this.approvalUserName = approvalUserName;
        }

        public String getApprovalUserDate() {
            return approvalUserDate;
        }

        public void setApprovalUserDate(String approvalUserDate) {
            this.approvalUserDate = approvalUserDate;
        }

        public String getCreateUserId() {
            return createUserId;
        }

        public void setCreateUserId(String createUserId) {
            this.createUserId = createUserId;
        }

        public String getCreateUserName() {
            return createUserName;
        }

        public void setCreateUserName(String createUserName) {
            this.createUserName = createUserName;
        }

        public String getUpdateUserId() {
            return updateUserId;
        }

        public void setUpdateUserId(String updateUserId) {
            this.updateUserId = updateUserId;
        }

        public String getUpdateUserName() {
            return updateUserName;
        }

        public void setUpdateUserName(String updateUserName) {
            this.updateUserName = updateUserName;
        }

        public String getDefectMudIds() {
            return defectMudIds;
        }

        public void setDefectMudIds(String defectMudIds) {
            this.defectMudIds = defectMudIds;
        }

        public String getAttachment() {
            return attachment;
        }

        public void setAttachment(String attachment) {
            this.attachment = attachment;
        }

        public boolean isDelete() {
            return delete;
        }

        public void setDelete(boolean delete) {
            this.delete = delete;
        }
    }
}
